import scipy.stats as ss
import numpy as np
import matplotlib.pyplot as plt

mu1 = float(input('mu_1 = '))
mu2 = float(input('mu_2 = '))
sgm1 = float(input('sgm_1 = '))
sgm2 = float(input('sgm_2 = '))
n1 = int(input('n_1 = '))
n2 = int(input('n_2 = '))

while True:
    x1 = ss.norm.rvs(mu1, sgm1, n1)
    x2 = ss.norm.rvs(mu2, sgm2, n2)

    r = ss.ttest_ind(x1, x2)                       #   Student
    t = r.statistic
    p = r.pvalue
    vL, vU = r.confidence_interval(0.95)
    rw = ss.ttest_ind(x1, x2, equal_var = False)   #   Welch
    tw = rw.statistic
    pw = rw.pvalue
    vLw, vUw = rw.confidence_interval(0.95)

    str = f"mu1 = {mu1}, sgm1 = {sgm1}\nmu2 = {mu2}, sgm2 = {sgm2}\n" + \
          f"Student: t = {t:.3f},  p = {p:.3f}" + \
          f",  95%CI = [{vL:.1f}, {vU:.1f}]\n"+ \
          f"Welch:   t' = {tw:.3f},  p' = {pw:.3f}" + \
          f",  95%CI' = [{vLw:.1f}, {vUw:.1f}]"
    
    plt.hist(x1, alpha=0.5, label='x1')
    plt.hist(x2, alpha=0.5, label='x2')
    plt.title(str)
    plt.legend()
    plt.tight_layout()
    plt.show()

    print('次に進む -> Nキー、　終了 -> Eキー')
    ck = input('N or E ? ')
    if ck in ['E', 'e']:
        break
